org.apache.cassandra.concurrent

## Interface JMXEnabledThreadPoolExecutorMBean

- All Known Subinterfaces:
    JMXConfigurableThreadPoolExecutorMBean
  All Known Implementing Classes:
    JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor

      public interface JMXEnabledThreadPoolExecutorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCoreThreads()` Returns core pool size of thread pool.
    `int` | `getMaximumThreads()` Returns maximum pool size of thread pool.
    `void` | `setCoreThreads(int number)` Allows user to resize core pool size of the thread pool.
    `void` | `setMaximumThreads(int number)` Allows user to resize maximum size of the thread pool.

- - ### Method Detail

    - #### getCoreThreads

          int getCoreThreads()

      Returns core pool size of thread pool.

    - #### setCoreThreads

          void setCoreThreads(int number)

      Allows user to resize core pool size of the thread pool.

    - #### getMaximumThreads

          int getMaximumThreads()

      Returns maximum pool size of thread pool.

    - #### setMaximumThreads

          void setMaximumThreads(int number)

      Allows user to resize maximum size of the thread pool.

Copyright © 2018 The Apache Software Foundation